javax.persistence

## Class QueryTimeoutException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.persistence.PersistenceException
        - - javax.persistence.QueryTimeoutException

All Implemented Interfaces:
  Serializable

    public class QueryTimeoutException
    extends PersistenceException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`QueryTimeoutException()`
`QueryTimeoutException(Query query)`
`QueryTimeoutException(String message)`
`QueryTimeoutException(String message, Throwable cause)`
`QueryTimeoutException(String message, Throwable cause, Query query)`
`QueryTimeoutException(Throwable cause)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Query` `getQuery()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### QueryTimeoutException

    public QueryTimeoutException()

#### QueryTimeoutException

    public QueryTimeoutException(String message)

#### QueryTimeoutException

    public QueryTimeoutException(String message,
                                 Throwable cause)

#### QueryTimeoutException

    public QueryTimeoutException(Throwable cause)

#### QueryTimeoutException

    public QueryTimeoutException(Query query)

#### QueryTimeoutException

    public QueryTimeoutException(String message,
                                 Throwable cause,
                                 Query query)

### Method Detail

#### getQuery

    public Query getQuery()